# Returns a list of conversations.

Endpoint: GET /v1/conversation_export
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `closed_after` (string)
    Filter for conversations closed after this date. Format should be yyyy-mm-dd or Unix timestamp in ms
    Example: "2022-01-01"

  - `closed_before` (string)
    Filter for conversations closed before this date. Format should be yyyy-mm-dd or Unix timestamp in ms
    Example: "1646151737080"

  - `created_after` (string)
    Filter for conversations created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `created_before` (string)
    Filter for conversations created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `updated_after` (string)
    Filter for conversations updated after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `updated_before` (string)
    Filter for conversations updated before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `last_message_created_after` (string)
    Filter for conversations where the last message was created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `last_message_created_before` (string)
    Filter for conversations where the last message was created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

  - `csids` (array)
    Filter for this list of conversation IDs, comma separated
    Example: "123,456"

## Response 200 fields (application/json):

  - `id` (integer, required)
    Id of the conversation

  - `created_at` (integer, required)
    Timestamp of when the conversation was created

  - `initial_channel` (string, required)
    The channel through which the communication was established
    Example: "email"

  - `requester_id` (string, required)
    Id of the enduser who requested the conversation

  - `requester_name` (string)
    Name of the enduser who requested the conversation

  - `requester_email` (string)
    Email of the enduser who requested the conversation

  - `requester_additional_emails` (array)
    Additional email addresses of the enduser who requested the conversation

  - `requester_phone_number` (string)
    Phone number of the enduser who requested the conversation

  - `requester_additional_phone_numbers` (array)
    Additional phone numbers of the enduser who requested the conversation

  - `queued_at` (number)
    Timestamp of when the conversation was queued

  - `queue_id` (string)
    Id of the last queue where the conversation was placed

  - `queue_name` (string)
    Name of the last queue where the conversation was placed

  - `closed_at` (number)
    Timestamp of when the conversation was closed

  - `ratings` (array)

  - `ratings.rating_score` (integer)
    Rating score. Score will be 0 or 1 for thumbs up & down ratings or 1-5 for new CSAT ratings

  - `ratings.rating_message` (string)
    Rating message associated with the rating score

  - `ratings.rating_type` (string)
    Rating type associated with the rating score
    Example: "stars"

  - `ratings.rating_created_timestamp` (integer)
    Timestamp of when the CSAT was created

  - `ratings.rating_offered_timestamp` (integer)
    Timestamp of when the CSAT was offered

  - `ratings.rating_status` (string)
    Status associated with the rating
    Example: "rated"

  - `ratings.rating_language` (string)
    Language set for the conversation
    Example: "en"

  - `ratings.rating_modified_timestamp` (integer)
    Timestamp of when the rating was lastly modified

  - `ratings.rating_rated_timestamp` (integer)
    Timestamp of when the conversation was rated

  - `ratings.rating_scheduled_timestamp` (integer)
    Timestamp of when the CSAT was scheduled

  - `ratings.rating_scheduled_for_timestamp` (integer)
    Timestamp of when the CSAT was scheduled for

  - `ratings.rating_unscheduled_timestamp` (integer)
    Timestamp of when the CSAT was unscheduled

  - `ratings.rating_cancelled_timestamp` (integer)
    Timestamp of when the CSAT was cancelled

  - `direction` (string)
    Direction of the conversation
    Enum: "inbound", "outbound"

  - `assigned_at` (integer)
    Timestamp of when the conversation was assigned to an agent

  - `assignee_id` (string)
    Id of the agent that the conversation was assigned to

  - `assignee_name` (string)
    Name of the agent that the conversation was assigned to

  - `assignee_email` (string)
    Email of the agent that the conversation was assigned to

  - `assignee_phone_number` (string)
    Phone number of the agent that the conversation was assigned to

  - `to_provisioned_phone_number_id` (string)
    Called phone number id (for inbound calls), which is the phone number itself

  - `to_provisioned_phone_number_name` (string)
    Name of the called phone number provided

  - `dixa_email_integration_id` (string)
    Id of the email integration, which is the email address itself

  - `dixa_email_integration_sender_name` (string)
    Sender name of the email integration, if it exists

  - `forwarding_email` (string)
    Forwarding email address

  - `facebook_page_id` (string)
    Page id coming from facebook

  - `facebook_page_name` (string)
    Page name coming from facebook

  - `widget_id` (string)
    Id of the widget that was used

  - `widget_name` (string)
    Name of the widget that was used

  - `tags` (array)
    All tags associated with the conversation

  - `tags_info` (array)
    All tags info associated with the conversation

  - `conversation_wrapup_notes` (array)
    All notes associated with the conversation

  - `transferee_name` (string)
    Target entity name of the transfer, which is either a queue or a user

  - `transfer_time` (number)
    Timestamp of the latest transfer

  - `originating_country` (string)
    Country the conversation originates from

  - `updated_at` (number)
    Timestamp of when the conversation was last time updated

  - `last_message_created_at` (number)
    Timestamp of when the last associated message was created

  - `status` (string)
    Status of the conversation
    Enum: "open", "closed", "pending", "awaitingpending"

  - `transferee_number` (string)
    Phone number of the agent to whom the conversation was transferred

  - `from_provisioned_phone_number_id` (string)
    Calling phone number id (for outbound calls), which is the phone number itself

  - `from_provisioned_phone_number_name` (string)
    Name of the calling phone number provided

  - `subject` (string)
    Subject field (for email and contact form)

  - `anonymized_at` (number)
    Timestamp of when the conversation was anonymized

  - `custom_fields` (array)

  - `custom_fields.attribute_id` (string)
    Custom attribute UUID

  - `custom_fields.identifier` (string)
    Custom attribute identifier

  - `custom_fields.value` (string)
    The custom attribute value set for the conversation

  - `custom_fields.data_type` (string)
    Custom attribute type

  - `custom_fields.archived` (boolean)
    Whether the custom attribute has been archived

  - `exports_handling_duration` (number)
    Cumulative assignment time across all agents that handled the conversation (in seconds). Can be different from handling_duration. This value corresponds to the handling_duration field in the "Integrations -> Export Conversations" CSV file.

  - `link_type` (string)
    Type of link associated with the conversation
    Enum: "email_forward", "follow_up", "side", "related"

  - `linked_at` (integer)
    Timestamp of when the conversation was linked
    Example: 1762787749131

  - `linked_to` (integer)
    ID of the conversation this conversation is linked to
    Example: 14665

  - `rating_score` (integer)
    Rating score. This field is only relevant if you have set up the thumbs up/down ratings
    Enum: 0, 1

  - `rating_message` (string)
    Rating message associated with the rating score. This field is only relevant if you have set up the thumbs up/down ratings

  - `total_duration` (number)
    Call duration in seconds if it exists. This is a derived value closed_at - created_at. For advanced analytics, take a look at our [Analytics API](https://docs.dixa.io/openapi/dixa-api/v1/tag/Analytics/).

  - `handling_duration` (number)
    Handling duration in seconds. This is a derived value closed_at - assigned_at. For advanced analytics, take a look at our [Analytics API](https://docs.dixa.io/openapi/dixa-api/v1/tag/Analytics/).


## Response 400 fields

## Response 401 fields

## Response 429 fields

## Response 5XX fields
